FS_UUID(1)

NAME
fs_uuid - Prints the uuid of the client or generates a new one

SYNOPSIS
fs uuid [-generate] [-help]

DESCRIPTION
fs uuid prints the current UUID of an OpenAFS client. It can optionally force the generation of a new UUID, if needed. The client UUID is used by the fileserver to differentiate clients with the same IP address.

CAUTIONS
The fs uuid command is only available in OpenAFS versions after 1.4.5 and 1.5.8. The behavior differs slightly between versions. In OpenAFS 1.4.5 and later, the -generate option is required and the UUID for the client machine is never printed. OpenAFS versions 1.5.8 and later will print the UUID.

OPTIONS

-generate
    Generates a new UUID for the cache manager. This is useful if two clients share the same UUID (if systems were cloned incorrectly, for example). -generate is optional in OpenAFS versions 1.5.8 and later, but it is required in OpenAFS versions 1.4.5 and later.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
fs uuid prints out the current UUID for the client or the new UUID if the -generate option is passed to it.

EXAMPLES
There are only two ways to invoke fs uuid under 1.5.8 and later:

   % fs uuid
   UUID: 8ac66f9308a8e-47d7-80f7-50d0040cddc2
   % fs uuid -generate
   New UUID: 436bd660-1720-429508e470cff38f5c6fb0
Here is the only way to invoke fs uuid under OpenAFS 1.4.5 and later:

   % fs uuid -generate
   New uuid generated.

PRIVILEGE REQUIRED
The issuer must be logged on as the local superuser root.

SEE ALSO
the fs(1) manpage

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.